<?php


// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );


class plgSystemShortcutsJX extends JPlugin
{
	/**
	 * Constructor
	 *
	 * For php4 compatability we must not use the __constructor as a constructor for plugins
	 * because func_get_args ( void ) returns a copy of all passed arguments NOT references.
	 * This causes problems with cross-referencing necessary for the observer design pattern.
	 *
	 * @access	protected
	 * @param	object	$subject The object to observe
	 * @param 	array   $config  An array that holds the plugin configuration
	 * @since	1.0
	 */
	
	function onAfterInitialise()
	{
		// No shortcuts for mortals
		if (JFactory::getApplication()->isSite()){
			return;
		}
		$document = JFactory::getDocument();
		$document->addScript(JUri::root().'plugins/system/shortcutsjx/shortcutsjx.js' );
		$document->addStyleDeclaration('.apply-shortcut{font-weight: bold;}');
		
	}

function onAfterRender()
	{
		$app = JFactory::getApplication();
		// No shortcuts for mortals
		if ($app->isSite()) {
			return;
		}
	
	
		$document=JFactory::getDocument();
		
		$body=JResponse::getBody();
//		print_r($headers);
//		 $js="
//		 	setup : function(ed) {
//		      ed.onKeyPress.add(function(ed, e) {
//		          shortcutsjx(e);
//		      });
//		      ed.onKeyDown.add(function(ed, e) {
//		          shortcutsjx(e);
//		      });
//   		},";
	
		 
		 //$position = str_replace('tinyMCE.init({', 'tinyMCE.init({'.$js, $body);
		 	
		 //javascript funkcije za preverjanje vnosov:
		 	
		 //$body = str_replace("javascript: submitbutton('save')", "javascript: jev_submitbutton('save')", $body);
		//$body = str_replace("javascript: submitbutton('apply')", "javascript: jev_submitbutton('apply')", $body);
		 //vstavi v output
		 $script=
		 '<script type="text/javaScript">
		 if(typeof(tinyMCE) !== "undefined"){
		 	tinyMCE.onAddEditor.add(function(mgr,ed) {
			    ed.onKeyDown.add(function(ed, e){shortcutsjx(e);});
			});
		 }	
		 </script>';
		 JResponse::setBody($body.$script);

	
			
	}
}